Movable Type 4.21にアップグレード完了(modifier.convert_breaks.phpがない??)

Movable Type 4.1にカスタムフィールドのバグがあったため、アップグレードできませんでしたが、そのバグフィクスバージョン 4.21が出たので、ようやくアップグレードしました。

おおむね、順調にアップグレードできました。

ただ、ダイナミックパブリッシングの部分でちょっと問題が。。。

ダイナミックパブリッシングで構成しているページで、以下のようなエラーがでました。

Smarty error: [plugin] modifier 'convert_breaks' is not implemented  (core.load_plugins.php, line 118)

どうやら調べてみると、

MT/php/lib以下に、modifier.convert_breaks.phpというファイルがないために発生している模様。


  • Movable Type 4.2 RC1 で template がおかしなことになった 解決編 - markun日記


ということで、MT4.1から強引に上記ファイルを持ってきて事なきを得ましたが。。。

なぜMT4.21にはそれがなかったんでしょうか。。。
(ちなみにMT4.1の時点でありませんでした)

この不具合??は、MT4.2のRC版からすでに存在していた模様です。。。